UTF8simple(3)

NAME
Unicode::UTF8simple - Conversions to/from UTF8 from/to charactersets

SYNOPSIS
 use Unicode::UTF8simple;

 my $uref = new Unicode::UTF8simple;

 #convert a string (here: schoen) to a utf8 byte string
 my $utf8string=$uref->toUTF8("iso-8859-1","schoen");

 #convert a string from utf-8 to specified encoding
 my $string=$uref->fromUTF8("iso-8859-1",$utf8string);

 #get a lit of supported encodings:
 my @listOfNames=$uref->enclist();

 #check if a given encoding (here gb2312) is supported
 if ($uref->encsup('gb2312')){ ... }

DESCRIPTION
Provides UTF-8 conversion for perl versions from 5.00 and up. It was mainly written for use with perl 5.00 to 5.6.0 because those perl versions do not support Unicode::MapUTF8 or Encode.

Unicode::UTF8simple is written in plain perl (no C code) and will work with any Perl 5 version. It is just slightly slower than Encode.

AUTHOR
Guido Socher (guido at linuxfocus.org)